Bug 462447 - Xorg crashes in exaCompositeRects
Xorg crashes in exaCompositeRects
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-16 08:26 EDT by Matěj Cepl
Modified: 2008-10-07 16:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 02:53:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log.old (36.61 KB, text/plain)
2008-09-16 08:26 EDT, Matěj Cepl
no flags Details
/var/log/dmes (45.19 KB, text/plain)
2008-09-16 08:30 EDT, Matěj Cepl
no flags Details
/var/log/messages (3.23 MB, text/plain)
2008-09-16 08:32 EDT, Matěj Cepl
no flags Details
Xorg.log from a crashed X-session (40.49 KB, application/octet-stream)
2008-10-02 05:44 EDT, Ola Thoresen
no flags Details

  None (edit)
Description Matěj Cepl 2008-09-16 08:26:10 EDT
Created attachment 316840 [details]
/var/log/Xorg.0.log.old

Description of problem:
From time to time (like twice day, but there are exceptions) Xorg crashes and I get into console. Backtrace points to  /usr/lib64/xorg/modules//libexa.so(exaCompositeRects+0x12f) [0x2272d2f] (see attaached)

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.5.0-6.fc10.x86_64
xorg-x11-drv-ati-6.9.0-14.fc10.x86_64
kernel-2.6.27-0.323.rc6.fc10.x86_64

How reproducible:
from time to time

Additional info:
sometimes it happens just without any effort on my side, and sometimes the computer gets to the state that even after relogin, it was killed 3 times out of 3 just by running screen -r in the gnome-terminal. Then I rebooted whole computer and everything works smoothly.
Comment 1 Matěj Cepl 2008-09-16 08:30:19 EDT
Created attachment 316841 [details]
/var/log/dmes

I don't have /etc/X11/xorg.conf
Comment 2 Matěj Cepl 2008-09-16 08:32:49 EDT
Created attachment 316842 [details]
/var/log/messages
Comment 3 Adam Jackson 2008-09-30 15:03:25 EDT
1: /lib64/libc.so.6 [0x3bcac33130]
2: /usr/bin/Xorg [0x511a81]
3: /usr/bin/Xorg(ValidatePicture+0x9) [0x511ad9]

$ addr2line -e /usr/lib/debug/usr/bin/Xorg.debug 0x511a81
/usr/src/debug/xorg-server-1.5.0/render/picture.c:1463

$ head -1463 /usr/src/debug/xorg-server-1.5.0/render/picture.c | tail -1
    if (pPicture->pDrawable && pPicture->serialNumber != pPicture->pDrawable->serialNumber)

That seems... unlikely.  The only way you could crash here is if pPicture wasn't a real pointer in the first place.
Comment 4 Ola Thoresen 2008-10-02 05:43:10 EDT
I have a similar problem, but I can reproduce it quite easily.

If I log into Gnome, start a gnome-terminal and run "top" X will crash and throw me back to GDM-login.

Same happens if I run a MySql-query - even on a remote machine 
IE. 
  ssh otherhost
  mysql -h thirdhost
  select * from table;
-> instant local X crash
Comment 5 Ola Thoresen 2008-10-02 05:44:38 EDT
Created attachment 319208 [details]
Xorg.log from a crashed X-session
Comment 6 Ola Thoresen 2008-10-03 05:05:39 EDT
After a bit of experimenting, it seems like the crash only happens if the gnome-terminal window is bigger than default.

So if I start a new gnome-terminal I can run top just fine. If I either resize the window to fill most of the screen, or maximize it X will crash.
Comment 7 Dave Airlie 2008-10-06 02:53:57 EDT
should be fixed in xorg-x11-server-1.5.1-5.fc10

which will land in rawhide soon.
Comment 8 Sami Farin 2008-10-07 16:11:29 EDT
1.5.1-6 does not have xserver-1.5.1-exa-fix-glyph-segfault.patch,
although changelog of the src.rpm lies so.

Note You need to log in before you can comment on or make changes to this bug.